{
    attributes = (
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PAR_DESCRIPTION"; 
            externalType = VARCHAR2; 
            name = parDescription; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            columnName = "PAR_KEY"; 
            externalType = VARCHAR2; 
            isReadOnly = N; 
            name = parKey; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PAR_VALUE"; 
            externalType = VARCHAR2; 
            name = parValue; 
            valueClassName = NSString; 
            width = 200; 
        }
    ); 
    attributesUsedForLocking = (exeOrdre, parDescription, parKey, parValue); 
    className = "org.cocktail.corossol.serveur.eof.metier.EOParametre"; 
    classProperties = (parKey, parValue, exercice, parDescription); 
    externalName = "JEFY_INVENTAIRE.PARAMETRE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (exercice, parKey, parValue); 
        "_javaClientClassName" = "org.cocktail.corossol.client.eof.metier.EOParametre"; 
    }; 
    name = Parametre; 
    primaryKeyAttributes = (exeOrdre, parKey); 
    relationships = (
        {
            destination = "ca_Exercice"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }
    ); 
}
